curl --request PATCH \
--url https://api.qbank.cl/platform/v1/cards/{cardID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"frozen": true
}'
{
"card_id": "3c2b1a09-8d7e-6f5a-4b3c-2d1e0f9a8b7c",
"account_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"physical": false,
"cardholder_kind": "account",
"status": "frozen",
"spending_asset": "USDC",
"limits": {
"per_transaction": "200.000000"
},
"created_at": "2026-07-08T12:00:00Z",
"updated_at": "2026-07-08T13:00:00Z"
}
更新限额、消费资产或冻结/解冻
更新卡片的消费限额(传 “0” 移除限额)、更改其扣款余额(spending_asset,仅影响之后的消费)以及冻结或解冻。冻结的卡片会即时拒绝所有授权。
PATCH
/
v1
/
cards
/
{cardID}
curl --request PATCH \
--url https://api.qbank.cl/platform/v1/cards/{cardID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"frozen": true
}'
{
"card_id": "3c2b1a09-8d7e-6f5a-4b3c-2d1e0f9a8b7c",
"account_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"physical": false,
"cardholder_kind": "account",
"status": "frozen",
"spending_asset": "USDC",
"limits": {
"per_transaction": "200.000000"
},
"created_at": "2026-07-08T12:00:00Z",
"updated_at": "2026-07-08T13:00:00Z"
}
授权
会话 JWT(来自注册/登录)或 API key(pk_...)。
也接受 X-API-Key: <token> 作为替代请求头。
路径参数
请求体
application/json
响应
更新后的卡片。
可用选项:
account, person 可用选项:
pending_activation, active, frozen, cancelled 卡片消费扣款的余额。USDT/USDC 与 USD 1:1;BTC/GOLD/SILVER/PLATINUM 按每笔事件当时价格转换。默认 USD。修改仅影响之后的消费。
可用选项:
USD, USDT, USDC, BTC, GOLD, SILVER, PLATINUM 消费限额,始终以 USD 计,与消费资产无关。
Show child attributes
Show child attributes